SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001573SiT!configpublic2011-06-14 11:222011-07-17 14:24
ReporterTomse 
Assigned Toivan 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent SVN 
Target Version3.64 LTSFixed in Version3.64 LTS 
Summary0001573: Saving config arrays break the lines
Descriptioncurrent SVN and GIT
when going to the config page inventory (svn) and system->users (git)
and save, the array will break when saving

example:

vpn=>VPN
ssh=>SSH

becomes
vpn=>VPNssh=>SSH

after saving.

in GIT an additional => is added to the end of the broken array

config=>Value

becomes

config=>Value=>
TagsNo tags attached.
Attached Files

- Relationships
related to 0001590resolvedTomse When no inventory types are configured the drop-down is empty 

-  Notes
User avatar (0003989)
ivan (administrator)
2011-06-14 22:55

Is this really a problem for 3.6x? I believe it's fixed in git now but the fix may not easily backport
User avatar (0003992)
Tomse (developer)
2011-06-14 23:07

if someone edits the inventory list, it will break I do believe that it's a bug.
User avatar (0004002)
Tomse (developer)
2011-06-15 12:08

Just tested this with 3.63p1, saving "collapses" the array as described.

the array cannot be used for either lookup or new inventory when going to the inventory page
User avatar (0004109)
ivan (administrator)
2011-07-17 12:43

Fixed in svn r7241
User avatar (0004119)
ivan (administrator)
2011-07-17 14:24

Fix released in version 3.64 available now

- Issue History
Date Modified Username Field Change
2011-06-14 11:22 Tomse New Issue
2011-06-14 11:23 Tomse Description Updated View Revisions
2011-06-14 11:49 ivan Status new => confirmed
2011-06-14 11:49 ivan Target Version => 3.64 LTS
2011-06-14 22:46 Tomse Relationship added related to 0001590
2011-06-14 22:55 ivan Note Added: 0003989
2011-06-14 23:07 Tomse Note Added: 0003992
2011-06-15 12:08 Tomse Note Added: 0004002
2011-07-17 12:22 ivan Assigned To => ivan
2011-07-17 12:22 ivan Status confirmed => assigned
2011-07-17 12:43 ivan Note Added: 0004109
2011-07-17 12:43 ivan Status assigned => resolved
2011-07-17 12:43 ivan Fixed in Version => Current SVN
2011-07-17 12:43 ivan Resolution open => fixed
2011-07-17 13:14 ivan Fixed in Version Current SVN => 3.64 LTS
2011-07-17 14:24 ivan Note Added: 0004119
2011-07-17 14:24 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker